/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/sgx/audio/mixoutput.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/audio/audio.hpp"

CMixOutput::CMixOutput()
{
	reset();
}

void
CMixOutput::reset()
{
	m_fVolume  = 1.0;
	m_fPan     = 0;
	m_pChannel = NULL;
}

void
CMixOutput::validate() {
	m_fVolume = sgxRange<tREAL32>(m_fVolume, 0, 1.0f);
	m_fPan = sgxRange<tREAL32>(m_fPan, -1.0f, 1.0f);
}
